Skip to main content
GET
Get transactions

Authorizations

x-api-key
string
header
required

Company API key for authentication

Query Parameters

page
integer
default:1

Page number for pagination

Required range: x >= 1
limit
integer
default:20

Number of transactions per page

Required range: 1 <= x <= 100
status
enum<string>[]

Comma-separated list of statuses to filter by (e.g., PROCESSING,APPROVED)

Available options:
PROCESSING,
AUTHORIZED,
APPROVED,
REFUNDED,
PARTIALLY_REFUNDED,
PENDING_REFUND,
CHARGEDBACK,
WAITING_PAYMENT,
AWAITING_3DS,
REFUSED,
FAILED,
EXPIRED,
PENDING_CANCELLATION,
CANCELLED
provider
enum<string>

Filter by provider (accepts lowercase and uppercase, returns uppercase)

Available options:
CELCOIN,
RINNE,
CAPPTA
id
string

Filter by transaction ID

installments
integer

Filter by number of installments

Required range: x >= 1
payment_method
enum<string>

Filter by payment method

Available options:
CREDIT_CARD,
DEBIT_CARD,
PIX,
BOLEPIX
capture_method
enum<string>

Filter by capture method

Available options:
EMV,
MAGSTRIPE,
ECOMMERCE,
CONTACTLESS_ICC
affiliation_id
string

Filter by affiliation ID

organization_id
string

Filter by organization transaction ID

provider_transaction_id
string

Filter by provider transaction ID

request_id
string

Filter by request ID

amount
integer

Filter by transaction amount (in cents)

amount_from
integer

Minimum amount (inclusive) in cents

amount_to
integer

Maximum amount (inclusive) in cents

created_at_from
string<date-time>

Start creation datetime (ISO 8601) inclusive

created_at_to
string<date-time>

End creation datetime (ISO 8601) inclusive

sort
enum<string>[]

Multi-field sort string (e.g., -created_at,amount). Allowed fields: created_at, amount, installments

Available options:
created_at,
amount,
installments,
-created_at,
-amount,
-installments

Response

Paginated list of transactions

data
object[]
pagination
object